Security update for ruby2.1

SUSE Security Update: Security update for ruby2.1
Announcement ID: SUSE-SU-2017:1067-1
Rating: important
References: #1014863 #1018808 #887877 #909695 #926974 #936032 #959495 #986630
Affected Products:
  • SUSE Linux Enterprise Software Development Kit 12-SP2
  • SUSE Linux Enterprise Software Development Kit 12-SP1
  • SUSE Linux Enterprise Server for Raspberry Pi 12-SP2
  • SUSE Linux Enterprise Server 12-SP2
  • SUSE Linux Enterprise Server 12-SP1
  • SUSE Linux Enterprise Desktop 12-SP2
  • SUSE Linux Enterprise Desktop 12-SP1
  • OpenStack Cloud Magnum Orchestration 7

  • An update that solves 5 vulnerabilities and has three fixes is now available.

    Description:


    This ruby2.1 update to version 2.1.9 fixes the following issues:

    Security issues fixed:
    - CVE-2016-2339: heap overflow vulnerability in the
    Fiddle::Function.new"initialize" (bsc#1018808)
    - CVE-2015-7551: Unsafe tainted string usage in Fiddle and DL (bsc#959495)
    - CVE-2015-3900: hostname validation does not work when fetching gems or
    making API requests (bsc#936032)
    - CVE-2015-1855: Ruby'a OpenSSL extension suffers a vulnerability through
    overly permissive matching of hostnames (bsc#926974)
    - CVE-2014-4975: off-by-one stack-based buffer overflow in the encodes()
    function (bsc#887877)

    Bugfixes:
    - SUSEconnect doesn't handle domain wildcards in no_proxy environment
    variable properly (bsc#1014863)
    - Segmentation fault after pack & ioctl & unpack (bsc#909695)
    - Ruby:HTTP Header injection in 'net/http' (bsc#986630)

    ChangeLog:
    - http://svn.ruby-lang.org/repos/ruby/tags/v2_1_9/ChangeLog

    Patch Instructions:

    To install this SUSE Security Update use YaST online_update.
    Alternatively you can run the command listed for your product:

    • SUSE Linux Enterprise Software Development Kit 12-SP2:
      zypper in -t patch SUSE-SLE-SDK-12-SP2-2017-624=1
    • SUSE Linux Enterprise Software Development Kit 12-SP1:
      zypper in -t patch SUSE-SLE-SDK-12-SP1-2017-624=1
    • SUSE Linux Enterprise Server for Raspberry Pi 12-SP2:
      zypper in -t patch SUSE-SLE-RPI-12-SP2-2017-624=1
    • SUSE Linux Enterprise Server 12-SP2:
      zypper in -t patch SUSE-SLE-SERVER-12-SP2-2017-624=1
    • SUSE Linux Enterprise Server 12-SP1:
      zypper in -t patch SUSE-SLE-SERVER-12-SP1-2017-624=1
    • SUSE Linux Enterprise Desktop 12-SP2:
      zypper in -t patch SUSE-SLE-DESKTOP-12-SP2-2017-624=1
    • SUSE Linux Enterprise Desktop 12-SP1:
      zypper in -t patch SUSE-SLE-DESKTOP-12-SP1-2017-624=1
    • OpenStack Cloud Magnum Orchestration 7:
      zypper in -t patch SUSE-OpenStack-Cloud-Magnum-Orchestration-7-2017-624=1

    To bring your system up-to-date, use "zypper patch".

    Package List:

    • SUSE Linux Enterprise Software Development Kit 12-SP2 (aarch64 ppc64le s390x x86_64):
      • ruby2.1-debuginfo-2.1.9-15.1
      • ruby2.1-debugsource-2.1.9-15.1
      • ruby2.1-devel-2.1.9-15.1
    • SUSE Linux Enterprise Software Development Kit 12-SP1 (ppc64le s390x x86_64):
      • ruby2.1-debuginfo-2.1.9-15.1
      • ruby2.1-debugsource-2.1.9-15.1
      • ruby2.1-devel-2.1.9-15.1
    • SUSE Linux Enterprise Server for Raspberry Pi 12-SP2 (aarch64):
      • libruby2_1-2_1-2.1.9-15.1
      • libruby2_1-2_1-debuginfo-2.1.9-15.1
      • ruby2.1-2.1.9-15.1
      • ruby2.1-debuginfo-2.1.9-15.1
      • ruby2.1-debugsource-2.1.9-15.1
      • ruby2.1-stdlib-2.1.9-15.1
      • ruby2.1-stdlib-debuginfo-2.1.9-15.1
    • SUSE Linux Enterprise Server 12-SP2 (aarch64 ppc64le x86_64):
      • libruby2_1-2_1-2.1.9-15.1
      • libruby2_1-2_1-debuginfo-2.1.9-15.1
      • ruby2.1-2.1.9-15.1
      • ruby2.1-debuginfo-2.1.9-15.1
      • ruby2.1-debugsource-2.1.9-15.1
      • ruby2.1-stdlib-2.1.9-15.1
      • ruby2.1-stdlib-debuginfo-2.1.9-15.1
    • SUSE Linux Enterprise Server 12-SP1 (ppc64le s390x x86_64):
      • libruby2_1-2_1-2.1.9-15.1
      • libruby2_1-2_1-debuginfo-2.1.9-15.1
      • ruby2.1-2.1.9-15.1
      • ruby2.1-debuginfo-2.1.9-15.1
      • ruby2.1-debugsource-2.1.9-15.1
      • ruby2.1-stdlib-2.1.9-15.1
      • ruby2.1-stdlib-debuginfo-2.1.9-15.1
    • SUSE Linux Enterprise Desktop 12-SP2 (x86_64):
      • libruby2_1-2_1-2.1.9-15.1
      • libruby2_1-2_1-debuginfo-2.1.9-15.1
      • ruby2.1-2.1.9-15.1
      • ruby2.1-debuginfo-2.1.9-15.1
      • ruby2.1-debugsource-2.1.9-15.1
      • ruby2.1-stdlib-2.1.9-15.1
      • ruby2.1-stdlib-debuginfo-2.1.9-15.1
    • SUSE Linux Enterprise Desktop 12-SP1 (x86_64):
      • libruby2_1-2_1-2.1.9-15.1
      • libruby2_1-2_1-debuginfo-2.1.9-15.1
      • ruby2.1-2.1.9-15.1
      • ruby2.1-debuginfo-2.1.9-15.1
      • ruby2.1-debugsource-2.1.9-15.1
      • ruby2.1-stdlib-2.1.9-15.1
      • ruby2.1-stdlib-debuginfo-2.1.9-15.1
    • OpenStack Cloud Magnum Orchestration 7 (x86_64):
      • libruby2_1-2_1-2.1.9-15.1
      • libruby2_1-2_1-debuginfo-2.1.9-15.1
      • ruby2.1-2.1.9-15.1
      • ruby2.1-debuginfo-2.1.9-15.1
      • ruby2.1-debugsource-2.1.9-15.1
      • ruby2.1-stdlib-2.1.9-15.1
      • ruby2.1-stdlib-debuginfo-2.1.9-15.1

    References: